Search bill payments
curl --request POST \
--url https://api.upwell.com/api/rest/bill-payments/search \
--header 'Content-Type: application/json' \
--data '
{
"sourceSystem": "<string>",
"sourceSystemId": "<string>"
}
'import requests
url = "https://api.upwell.com/api/rest/bill-payments/search"
payload = {
"sourceSystem": "<string>",
"sourceSystemId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({sourceSystem: '<string>', sourceSystemId: '<string>'})
};
fetch('https://api.upwell.com/api/rest/bill-payments/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"billPayments": [
{
"amount": 123,
"billPaymentLineItems": [
{
"amount": 123,
"billId": "<string>",
"billingAccountNumber": "<string>",
"billingName": "<string>",
"carrierId": "<string>",
"checkOrAchNumber": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"notes": "<string>",
"referenceNumber": 123,
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"status": "<string>",
"transactionDate": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"carrierId": "<string>",
"checkOrAchNumber": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"status": "<string>",
"transactionDate": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Bill Payments
Search bill payments
Search for bill payments by source system and source system ID.
POST
/
api
/
rest
/
bill-payments
/
search
Search bill payments
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Query Parameters
"sourceSystem" is required (enter it either in parameters or request body)
"sourceSystemId" is required (enter it either in parameters or request body)
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
200 - application/json
Responses for POST /api/rest/bill-payments/search
Show child attributes
Show child attributes
⌘I

